The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"winehq broken in debian 10?"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на рабочей станции (Пакетные менеджеры / Linux)
Изначальное сообщение [ Отслеживать ]

"winehq broken in debian 10?"  +/
Сообщение от Isothiocyanate (ok), 17-Мрт-20, 20:21 
Добрый день!

В Debian 10 x64 LXDE есть потребность поставить winehq для запуска 32 разрядных exe (старые программы), была вот такая ошибка:
https://forum.winehq.org/viewtopic.php?t=26368

Делаю как тут:
https://wiki.winehq.org/Debian

Обломился на том что все три пакета winehq разных версий - broken

Пробовал установить форсировано через консоль и через синаптик - вообще не ставит, ни в какую.
https://obu4alka.ru/resheno-oshibka-apt-vy-mozhete-zapustit-...

или  так

    sudo apt-get update –fix-missing.
    sudo dpkg –configure -a.
    sudo apt-get install -f.
    Unlock the dpkg – (message /var/lib/dpkg/lock)
    sudo fuser -vki /var/lib/dpkg/lock.
    sudo dpkg –configure -a.

после попытки установить поломаный пакет.

Но дело в том что он вообще не устанавливается.
А если я делаю попытку установить winehq, то он конфликтует с playonlinux, требуя его снести.

Скачать и sudo dpkg -i pack_name  , а потом fix broken?


Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по ответам | RSS]

1. Сообщение от Isothiocyanate (ok), 17-Мрт-20, 20:52   +/
> Скачать и sudo dpkg -i pack_name  , а потом fix broken?

сделал как тут, но пакеты качал вручную, ситавил dpkg

https://linuxhint.com/install_wine_debian_10/

user1@debian999:~/Downloads$ sudo dpkg -i /home/user1/Downloads/libfaudio0_19.12-1_i386.deb
Selecting previously unselected package libfaudio0:i386.
(Reading database ... 325619 files and directories currently installed.)
Preparing to unpack .../libfaudio0_19.12-1_i386.deb ...
Unpacking libfaudio0:i386 (19.12-1) ...
dpkg: dependency problems prevent configuration of libfaudio0:i386:
libfaudio0:i386 depends on libavcodec58 (>= 7:4.2); however:
  Version of libavcodec58:i386 on system is 7:4.1.4-1~deb10u1.
libfaudio0:i386 depends on libsdl2-2.0-0 (>= 2.0.10); however:
  Version of libsdl2-2.0-0:i386 on system is 2.0.9+dfsg1-1.
libfaudio0:i386 depends on libstb0 (>= 0.0~git20180212.15.e6afb9c); however:

dpkg: error processing package libfaudio0:i386 (--install):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-10) ...
Errors were encountered while processing:
libfaudio0:i386
user1@debian999:~/Downloads$ sudo dpkg -i /home/user1/Downloads/libfaudio0_19.12-1_amd64.deb
Selecting previously unselected package libfaudio0:amd64.
(Reading database ... 325625 files and directories currently installed.)
Preparing to unpack .../libfaudio0_19.12-1_amd64.deb ...
Unpacking libfaudio0:amd64 (19.12-1) ...
dpkg: dependency problems prevent configuration of libfaudio0:amd64:
libfaudio0:amd64 depends on libavcodec58 (>= 7:4.2); however:
  Version of libavcodec58:amd64 on system is 7:4.1.4-1~deb10u1.
libfaudio0:amd64 depends on libsdl2-2.0-0 (>= 2.0.10); however:
  Version of libsdl2-2.0-0:amd64 on system is 2.0.9+dfsg1-1.

dpkg: error processing package libfaudio0:amd64 (--install):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-10) ...
Errors were encountered while processing:
libfaudio0:amd64


user1@debian999:~/Downloads$ sudo dpkg --add-architecture i386
user1@debian999:~/Downloads$ wget -nc https://dl.winehq.org/wine-builds/winehq.key
File ‘winehq.key’ already there; not retrieving.
user1@debian999:~/Downloads$ sudo apt-key add winehq.key
OK
user1@debian999:~/Downloads$ sudo apt update
Hit:1 http://ftp.debian.org/debian buster-backports InRelease
Hit:2 http://download.virtualbox.org/virtualbox/debian buster InRelease        
Hit:3 https://dl.winehq.org/wine-builds/debian buster InRelease                
Hit:4 http://security.debian.org buster/updates InRelease          
Hit:5 http://deb.debian.org/debian stable InRelease                            
Hit:6 http://deb.debian.org/debian stable-updates InRelease                    
Hit:7 http://deb.debian.org/debian-security stable/updates InRelease          
Hit:8 http://deb.debian.org/debian buster InRelease                            
Hit:9 http://deb.debian.org/debian buster-updates InRelease                    
Hit:10 https://repo.skype.com/deb stable InRelease                            
Hit:11 https://download.onlyoffice.com/repo/debian squeeze InRelease          
Reading package lists... Done
Building dependency tree      
Reading state information... Done
All packages are up to date.
user1@debian999:~/Downloads$ sudo apt install --install-recommends winehq-stable
Reading package lists... Done
Building dependency tree      
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
libfaudio0 : Depends: libavcodec58 (>= 7:4.2)
              Depends: libsdl2-2.0-0 (>= 2.0.10) but 2.0.9+dfsg1-1 is to be installed
libfaudio0:i386 : Depends: libavcodec58:i386 (>= 7:4.2)
                   Depends: libsdl2-2.0-0:i386 (>= 2.0.10) but 2.0.9+dfsg1-1 is to be installed
                   Depends: libstb0:i386 (>= 0.0~git20180212.15.e6afb9c) but it is not going to be installed
winehq-stable : Depends: wine-stable (= 5.0.0~buster)
                 Conflicts: wine
                 Conflicts: wine:i386
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
user1@debian999:~/Downloads$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Correcting dependencies... Done
The following packages will be REMOVED:
  libfaudio0 libfaudio0:i386
0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 823 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 325626 files and directories currently installed.)
Removing libfaudio0:amd64 (19.12-1) ...
Removing libfaudio0:i386 (19.12-1) ...
Processing triggers for libc-bin (2.28-10) ...
user1@debian999:~/Downloads$ sudo apt install --install-recommends winehq-stable
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
winehq-stable : Depends: wine-stable (= 5.0.0~buster)
E: Unable to correct problems, you have held broken packages.
user1@debian999:~/Downloads$

Ответить | Правка | Наверх | Cообщить модератору
Ответы: #3

2. Сообщение от Аноним (3), 17-Мрт-20, 23:15   +/
> Скачать и sudo dpkg -i pack_name  , а потом fix broken?

да

Но для начала надо сказать, чего вы хотите

>потребность поставить winehq для запуска 32 разрядных exe

а стандартный из репозиториев не подошел?

>А если я делаю попытку установить winehq, то он конфликтует с playonlinux, требуя его снести.

никогда не пользовался playonlinux, но разве он не тащит свой вайн самостоятельно?

Ответить | Правка | Наверх | Cообщить модератору
Ответы: #5

3. Сообщение от Аноним (3), 17-Мрт-20, 23:21   +/
>sudo dpkg -i /home/user1/Downloads/libfaudio0_19.12-1_i386.deb

в buster не libfaudio. Вы не можете просто так взять и поставить его.

Ответить | Правка | Наверх | Cообщить модератору
Родитель: #1 Ответы: #4

4. Сообщение от Isothiocyanate (ok), 18-Мрт-20, 14:51   +/
> в buster не libfaudio. Вы не можете просто так взять и поставить
> его.

А что там теперь?

Ответить | Правка | Наверх | Cообщить модератору
Родитель: #3 Ответы: #8

5. Сообщение от Isothiocyanate (ok), 18-Мрт-20, 14:53   +/
> Но для начала надо сказать, чего вы хотите

Просто запустить пару екзешников 32 разрядных.

>>потребность поставить winehq для запуска 32 разрядных exe
> а стандартный из репозиториев не подошел?

нет, он 64 разрядный. я им пробовал запускать, возникла та же ситуация что по первой ссылке.

> никогда не пользовался playonlinux, но разве он не тащит свой вайн самостоятельно?

да, там более ранняя wine, 1.6 в debian 9.8 кажись и все работало.

Ответить | Правка | Наверх | Cообщить модератору
Родитель: #2 Ответы: #9

6. Сообщение от Анонимemail (6), 18-Мрт-20, 17:56   +/
> есть потребность поставить winehq

Нет. Есть потребность запуска некоего софта, а не установка именно winehq.

Для начала рассказал бы что такого запускать нужно, может и найдётся готовый рецепт

Ответить | Правка | Наверх | Cообщить модератору
Ответы: #7

7. Сообщение от Isothiocyanate (ok), 18-Мрт-20, 18:02   +/
>> есть потребность поставить winehq
> Нет. Есть потребность запуска некоего софта, а не установка именно winehq.
> Для начала рассказал бы что такого запускать нужно, может и найдётся готовый
> рецепт

ChemSketch, IsisDraw, и еще пара подобных виндозных программ.

Ответить | Правка | Наверх | Cообщить модератору
Родитель: #6 Ответы: #10

8. Сообщение от Аноним (8), 18-Мрт-20, 19:49   +/
ничего, libfaudio будет только в 11 дебиане
его надо либо самостоятельно бэкпортировать, либо пересобрать вайн без него (либо еще несколько вариантов)
Ответить | Правка | Наверх | Cообщить модератору
Родитель: #4

9. Сообщение от Аноним (8), 18-Мрт-20, 19:53   +/
>нет, он 64 разрядный. я им пробовал запускать, возникла та же ситуация что по первой ссылке.

32 разрядный там тоже есть, подключаете архитектуру i386 и ставите wine32. Должно скачать кучу библиотек, но на всякий случай надо смотреть, чтобы ничего лишнего не попыталось удалить.
https://wiki.debian.org/ru/Multiarch/HOWTO
https://packages.debian.org/buster/wine32

Ответить | Правка | Наверх | Cообщить модератору
Родитель: #5

10. Сообщение от Аноним (10), 19-Мрт-20, 11:49   +/
1) Выполняем
dpkg --add-architecture i386; apt-get update; apt-get install wine32

2) Ставим всё как обычно.

Проверил на IsisDraw - работает.
http://diablopc.linuxforum.ru/img/ksnip_20200319-104449.png

Ответить | Правка | Наверх | Cообщить модератору
Родитель: #7


Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру